Subject: bug#745: dbus-x11: Several processes in Plasma session including krunner have / as current working directory

From: Mark Hindley <[email-masked]>
Date: Mon, 6 Mar 2023 16:22:12 +0000

Simon,

Thanks.

On Mon, Mar 06, 2023 at 03:25:18PM +0000, Simon McVittie wrote:
> What I absolutely don't want is to make the change, and then 2 years
> later get hate mail from someone telling me that I've broken their
> system by making dbus-launch prevent /home from being unmounted and
> "why can't you just" add an option to use daemon(3).

I think that is a very good point.

KDE is the only area where I have heard of this causing problems and I am not
aware of any other reports that seem to have the same underlying cause. I am not
convinced there *is* a consensus for change and the risk of changing the default
for all users of legacy DBus activation seems high.

Martin, I still think this is for KDE to address if it is important to them. I
don't think I would push to change the behaviour of DBus in either Debian or
Devuan at the moment.

Best wishes

Mark